# -*- encoding: utf-8 -*-
# -----------------------------------------------------------------------------
# @File Name  : version1.0.py
# @Time       : 2020/11/18 下午3:31
# @Author     : X. Peng
# @Email      : acepengxiong@163.com
# @Software   : PyCharm
# -----------------------------------------------------------------------------
from app.controller.customer import CustomerList
from app.controller.fund import FundEvaluation
from app.controller.report import *
from app.controller.template_manage import *
from app.controller.statement import StatementController

def add_route(api):
    """注册路由"""
    api.add_resource(ReportHandlers, '/api/fund_report/report')
    api.add_resource(ReportList, '/api/fund_report/reportlist')
    api.add_resource(FindReport, '/api/fund_report/get_one_report')
    api.add_resource(TemplateManage, '/api/template_manage')
    api.add_resource(TemplateList, '/api/template_list')
    api.add_resource(CustomerList, '/api/customer_list')
    api.add_resource(FundEvaluation, '/api/fund_evaluation')
    api.add_resource(StatementController, '/api/statement')

